Name:		plexus-root-pom
Version:	1.0.3
Release:	2%{?dist}
Summary:	Plexus Root POM
BuildArch:	noarch
Group:		Development/Libraries
License:	ASL 2.0
URL:		http://plexus.codehaus.org/
Source0:	http://repo1.maven.org/maven2/plexus/plexus-root/%{version}/plexus-root-%{version}.pom
Source1:	http://www.apache.org/licenses/LICENSE-2.0.txt
Patch0:		fix-non-parsable-xml.patch

BuildRequires:	jpackage-utils	
BuildRequires:	maven


%description
This package provides Plexus Root parent POM used by different
Plexus packages.

%prep
%setup -cT
cp -p %{SOURCE0} pom.xml
cp -p %{SOURCE1} LICENSE

%patch0

%pom_xpath_remove pom:modules

%check
mvn-rpmbuild verify

%install
install -d -m 755 $RPM_BUILD_ROOT%{_mavenpomdir}

# POM file
install -pm 644 pom.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP-%{name}.pom

# depmap
%add_maven_depmap JPP-%{name}.pom

%files
%doc LICENSE
%{_mavenpomdir}/JPP-%{name}.pom
%{_mavendepmapfragdir}/%{name}

%changelog
* Tue Dec 11 2012 Michal Srb <msrb@redhat.com> - 1.0.3-2
- Use namespace in in pom_xpath_remove macro
- Use direct link in Source0
- Improved prep/setup section
- mvn-rpmbuild verify is now in check section
- More specific files section

* Mon Dec 10 2012 Michal Srb <msrb@redhat.com> - 1.0.3-1
- Initial packaging

